Skip to content

Tickets


List of Tickets

GET
/tickets

Returns a list of Tickets. Supports filtering by date range and plant.

Authorizations

Bearer

JWT Authorization header using the Bearer scheme.

TypeHTTP (bearer)

Parameters

Header Parameters

x-api-version
Typestring
Default"1.0"

Query Parameters

date

Date range filter using left-hand-side (LHS) bracket syntax. Supported operators: eq, gt, lt, gte, lte. A plain string is equivalent to eq and represents a single date (UTC).

Typeobject
Examples
"date=2025-09-10"
"date[gte]=2025-09-10T00:00:00.000Z&date[lt]=2025-09-11T00:00:00.000Z"
plantId

Filter by Plant ID (exact)

Typestring
sort

Sorting property

Typestring
Valid values
"date""plantId"
Default"date"
dir

The direction of sorting

Typestring
Valid values
"asc""desc"
Default"asc"
page

The page number of the results to fetch

Typeinteger
Example1
Format"int64"
Default1
size

Maximum number of items returned in a single response (max 100)

Typeinteger
Examples
10
20
50
Format"int64"
Default10

Responses

OK

application/json
JSON
{
"items": [
{
"id": "string",
"date": "2025-03-15T10:34:02.107Z",
"code": "TICKET-1234",
"plantId": "string"
}
],
"pagination": {
"total": 100,
"pages": 10
}
}

Playground

Authorization
Headers
Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

Create a Ticket

POST
/tickets

Authorizations

Bearer

JWT Authorization header using the Bearer scheme.

TypeHTTP (bearer)

Request Body

application/json
JSON
{
"date": "2025-03-15T10:34:02.107Z",
"code": "TICKET-1234",
"plantId": "string",
"operatorMessage": "string",
"customer": {
"code": "783",
"name": "Sysdyne Corporation"
},
"project": {
"code": "199",
"name": "Austin suburbs housing"
},
"order": {
"date": "2024-03-21T09:29:31.159Z",
"code": "443"
},
"mix": {
"id": "string",
"loadSize": 0,
"unit": "cy",
"quantity": 0,
"delivered": 0,
"slump": 0,
"usage": "Ceiling",
"design": {
"constituents": [
{
"id": "string",
"quantity": 0
}
],
"airPercent": 0,
"mixerTime": 0,
"slump": 0,
"maxDropQuantity": 0
}
},
"delivery": "string",
"truck": "string",
"driver": {
"code": "DRV1"
}
}

Responses

OK

application/json
JSON
{
"id": "string",
"date": "2025-03-15T10:34:02.107Z",
"code": "TICKET-1234",
"plantId": "string",
"operatorMessage": "string",
"customer": {
"code": "783",
"name": "Sysdyne Corporation"
},
"project": {
"code": "199",
"name": "Austin suburbs housing"
},
"order": {
"date": "2024-03-21T09:29:31.159Z",
"code": "443"
},
"mix": {
"id": "string",
"loadSize": 0,
"unit": "cy",
"quantity": 0,
"delivered": 0,
"slump": 0,
"usage": "Ceiling",
"design": {
"constituents": [
{
"id": "string",
"quantity": 0
}
],
"airPercent": 0,
"mixerTime": 0,
"slump": 0,
"maxDropQuantity": 0
}
},
"delivery": "string",
"truck": "string",
"driver": {
"code": "DRV1"
}
}

Playground

Authorization
Body

Samples

cURL
JavaScript
PHP
Python

Get Ticket details

GET
/tickets/{id}

Returns the details of the specified Ticket

Authorizations

Bearer

JWT Authorization header using the Bearer scheme.

TypeHTTP (bearer)

Parameters

Header Parameters

x-api-version
Typestring
Default"1.0"

Path Parameters

id*

The identifier of the specified Ticket

Typestring
Required

Responses

OK

application/json
JSON
{
"id": "string",
"date": "2025-03-15T10:34:02.107Z",
"code": "TICKET-1234",
"plantId": "string",
"operatorMessage": "string",
"customer": {
"code": "783",
"name": "Sysdyne Corporation"
},
"project": {
"code": "199",
"name": "Austin suburbs housing"
},
"order": {
"date": "2024-03-21T09:29:31.159Z",
"code": "443"
},
"mix": {
"id": "string",
"loadSize": 0,
"unit": "cy",
"quantity": 0,
"delivered": 0,
"slump": 0,
"usage": "Ceiling",
"batch": {
"startTime": "string",
"endTime": "string",
"mixingTime": 0,
"temperWater": 0,
"temperWaterUnit": "gal",
"results": [
{
"type": "string",
"itemId": "string",
"name": "string",
"target": 200,
"actual": 202.4,
"unit": "lb",
"waterPercent": 2.4
}
]
},
"design": {
"constituents": [
{
"id": "string",
"quantity": 0
}
],
"airPercent": 0,
"mixerTime": 0,
"slump": 0,
"maxDropQuantity": 0
}
},
"delivery": "string",
"truck": "string",
"driver": {
"code": "DRV1"
}
}

Playground

Authorization
Headers
Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python